List ABAC attribute definitions

Prev Next
Get
/api/v1/abac/attributes
  • Lists all ABAC attribute definitions.
  • Returns a paginated list of attribute definitions (key and allowed values).
  • Supports optional filtering by attribute key or value, and pagination via offset and count query parameters.
Header parameters
X-Auth-Token
stringRequired

The authToken of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired

The userId of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
Query parameters
offset
number

Pagination offset (default: 0)

count
number

Number of items per page (default: 25)

key
string

Filter attribute definitions by key (case-insensitive match)

values
string

Filter attribute definitions by values (case-insensitive match)

Responses
200

OK

Success
{
  "success": true,
  "attributes": [
    {
      "_id": "69778264070f6083845051e6",
      "key": "departmentNumber",
      "values": [
        "department"
      ]
    },
    {
      "_id": "697ca091070f60838450580d",
      "key": "my_department",
      "values": [
        "eng",
        "sales",
        "hr",
        "it"
      ]
    }
  ],
  "offset": 0,
  "count": 25,
  "total": 5
}
Expand All
object
success
boolean
attributes
Array of object
object
_id
string
key
string
values
Array of string
string
offset
integer
count
integer
total
integer
400

Bad Request

Invalid query
{
  "success": false,
  "error": "error-invalid-query-parameters"
}
object
success
boolean
error
string
401

Unauthorized

Unauthorized login attempt
{
  "success": false,
  "error": "error-unauthorized"
}
object
success
boolean
error
string
403

Forbidden

No "abac-management"
{
  "success": false,
  "error": "error-not-authorized"
}
object
success
boolean
error
string